(* uiApplication.ml     Wrapper for Cocoa Touch UIApplication
 *
 * Copyright (c) 2016 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)
external _delegate : nativeint -> Ui.applicationDelegate =
    "UIApplication_delegate"

class t robjcv =
    object (self)
    inherit Wrapper.t robjcv

    method delegate = _delegate self#contents
    end

let _ =
    let wrap robjcv = new t robjcv in
    Callback.register "UiApplication.wrap" wrap

external _sharedApplication : unit -> t =
    "UIApplication_sharedApplication"

let sharedApplication () =
    _sharedApplication ()
